%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: POP3, IMAP4 and SDPS mail retriever with Maildir delivery
Name: getmail
Version: 4.54.0
Release: 1
License: GPLv2
Group: Applications/Internet
URL: http://pyropus.ca/software/getmail/
Source0: http://pyropus.ca/software/getmail/old-versions/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel >= 2.7.13-1
Requires: python >= 2.7.13-1

%description
getmail is a secure, flexible, reliable and easy-to-use
mail retriever for POP3, IMAP4 and SDPS.
It delivers mail into a Maildir or mbox file.
It is designed to replace other mail retrievers such as fetchmail.
Getmail is written entirely in python.


%prep
%setup -q
%patch0


%build
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python setup.py install --skip-build --root="${RPM_BUILD_ROOT}"
rm docs/*.1


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc docs/*
%{_bindir}/getmail
%{_bindir}/getmail_fetch
%{_bindir}/getmail_maildir
%{_bindir}/getmail_mbox
%{_mandir}/man1/getmail.1
%{_mandir}/man1/getmail_fetch.1
%{_mandir}/man1/getmail_maildir.1
%{_mandir}/man1/getmail_mbox.1
%{python_sitelib}/getmail*.egg-info
%{python_sitelib}/getmailcore/


%changelog
* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 4.54.0-1
- updated to version 4.54.0

* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 4.53.0-1
- updated to version 4.53.0

* Fri Sep 22 2017 Michael Perzl <michael@perzl.org> - 4.52.0-1
- updated to version 4.52.0

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 4.51.0-1
- updated to version 4.51.0

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 4.50.0-1
- updated to version 4.50.0

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 4.49.0-1
- updated to version 4.49.0

* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 4.48.0-1
- updated to version 4.48.0

* Wed Dec 23 2015 Michael Perzl <michael@perzl.org> - 4.47.0-1
- updated to version 4.47.0

* Thu Jul 24 2014 Michael Perzl <michael@perzl.org> - 4.46.0-1
- updated to version 4.46.0

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 4.44.0-1
- updated to version 4.44.0

* Sat Jan 04 2014 Michael Perzl <michael@perzl.org> - 4.43.0-1
- updated to version 4.43.0

* Thu Aug 22 2013 Michael Perzl <michael@perzl.org> - 4.42.0-1
- updated to version 4.42.0

* Mon Jun 24 2013 Michael Perzl <michael@perzl.org> - 4.41.0-1
- updated to version 4.41.0

* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 4.40.1-1
- updated to version 4.40.1

* Wed Mar 20 2013 Michael Perzl <michael@perzl.org> - 4.39.1-1
- updated to version 4.39.1

* Tue Jan 29 2013 Michael Perzl <michael@perzl.org> - 4.37.0-1
- updated to version 4.37.0

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 4.36.0-1
- updated to version 4.36.0

* Tue Oct 30 2012 Michael Perzl <michael@perzl.org> - 4.35.0-1
- updated to version 4.35.0

* Mon Sep 10 2012 Michael Perzl <michael@perzl.org> - 4.34.0-1
- updated to version 4.34.0

* Fri Jun 22 2012 Michael Perzl <michael@perzl.org> - 4.30.1-1
- updated to version 4.30.1

* Wed Jun 20 2012 Michael Perzl <michael@perzl.org> - 4.29.0-1
- updated to version 4.29.0

* Sun May 20 2012 Michael Perzl <michael@perzl.org> - 4.27.0-1
- updated to version 4.27.0

* Sun Apr 15 2012 Michael Perzl <michael@perzl.org> - 4.26.0-1
- updated to version 4.26.0

* Thu Feb 02 2012 Michael Perzl <michael@perzl.org> - 4.25.0-1
- updated to version 4.25.0

* Mon Dec 12 2011 Michael Perzl <michael@perzl.org> - 4.24.0-1
- updated to version 4.24.0

* Sun Nov 20 2011 Michael Perzl <michael@perzl.org> - 4.23.0-1
- updated to version 4.23.0

* Sun Nov 13 2011 Michael Perzl <michael@perzl.org> - 4.22.2-1
- updated to version 4.22.2

* Sun Oct 02 2011 Michael Perzl <michael@perzl.org> - 4.22.1-1
- updated to version 4.22.1

* Mon Sep 26 2011 Michael Perzl <michael@perzl.org> - 4.22.0-1
- updated to version 4.22.0

* Sat Sep 24 2011 Michael Perzl <michael@perzl.org> - 4.21.0-1
- updated to version 4.21.0

* Mon Jul 18 2011 Michael Perzl <michael@perzl.org> - 4.20.4-1
- first version for AIX V5.1 and higher
